import { CoachMarkPopover } from './coach-mark-popover';

const handleMouseLeaveFunc = jest.fn();
const handleMouseEnterFunc = jest.fn();

describe('<CoachMarkPopover />', () => {
  const props = {
    isOpen: false,
    toggle: () => {},
    target: 'element',
    handleMouseLeave: handleMouseLeaveFunc,
    handleMouseEnter: handleMouseEnterFunc,
  };

  const wrapper = shallow(<CoachMarkPopover {...props} id={props.target}><p>p</p></CoachMarkPopover>);

  test('should match snapshot', () => {
    expect(wrapper).toMatchSnapshot();
  });

  test('should have fade state after mount', () => {
    expect(wrapper.state().fade).toBe(true);
  });

  describe('when `handleMouseLeave` method is called', () => {
    beforeEach(() => {
      wrapper.instance().handleMouseLeave();
    });

    test('should trigger `handleMouseLeave` func prop', () => {
      expect(handleMouseLeaveFunc).toHaveBeenCalled();
    });
  });

  describe('when `handleMouseEnter` method is called', () => {
    beforeEach(() => {
      wrapper.instance().handleMouseEnter();
    });

    test('should trigger `handleMouseEnter` func prop', () => {
      expect(handleMouseEnterFunc).toHaveBeenCalled();
    });
  });
});
