import React from 'react';
import { IntlProvider } from 'react-intl';
import { storiesOf } from '@storybook/react';
import { withKnobs, text, boolean } from '@storybook/addon-knobs';
import { DropdownWithIcon } from './dropdown-with-icon';
import { IconBlockExplorerService } from '../icons/icon-block-explorer-service/icon-block-explorer-service';
import '../../theme/light.scss';

const data = ['item1', 'item2', 'item3'];
const clickItem = () => alert('clicked');

storiesOf('Dropdown', module)
  .addDecorator(withKnobs)
  .add('DropdownWithIcon', () => (
    <IntlProvider locale="en">
      <div style={{ width: '400px' }}>
        <DropdownWithIcon
          data={data}
          icon={<IconBlockExplorerService />}
          label={text('label', 'some label')}
          value={text('value', 'some value')}
          disabled={boolean('disabled', false)}
          clickItem={clickItem}
        />
      </div>
    </IntlProvider>
  ));
