import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs, select, boolean } from '@storybook/addon-knobs';
import { IconButtonLoader, PRIMARY_COLOR_PROP, LIGHT_COLOR_PROP, PINK_P30_COLOR_PROP, GRAY_DARK_SECONDARY_PROP } from './icon-button-loader';

const selections = {
  primary: PRIMARY_COLOR_PROP,
  light: LIGHT_COLOR_PROP,
  pink: PINK_P30_COLOR_PROP,
  gray: GRAY_DARK_SECONDARY_PROP,
};

storiesOf('Icons', module)
  .addDecorator(withKnobs)
  .add('IconButtonLoader', () => (
    <IconButtonLoader
      color={select('color', selections, 'primary')}
      withAbsolutePosition={boolean('withAbsolutePosition', false)}
    />));
